Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class ASMModule

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.lib.ASMModule

All Implemented Interfaces:
  `HasFields`

public class ASMModule extends Object implements HasFields
The ASM Module, which symbolizes an ATL transformation.

## Constructor Summary

Constructors
Constructor
Description
`ASMModule()`
Creates a new ASMModule.
`ASMModule(String name)`
Creates a new ASMModule with the given name.

## Method Summary

Modifier and Type
Method
Description
`Map<Object,Object>`
`asMap()`
Returns the map of the fields.
`Object`
`get(AbstractStackFrame frame, Object name)`
Gets a value.
`void`
`set(AbstractStackFrame frame, Object name, Object value)`
Sets a value to the object.
`String`
`toString()`
`void`
`unset(AbstractStackFrame frame, Object name)`
Unsets a value to the object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMModule

public ASMModule(String name)
Creates a new ASMModule with the given name.

Parameters:
  `name` - the module name

### ASMModule

public ASMModule()
Creates a new ASMModule.

## Method Details

### set

public void set(AbstractStackFrame frame, Object name, Object value)
Sets a value to the object.

Specified by:
  `set` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
  `value` - the value
See Also:
  - `HasFields.set(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object, java.lang.Object)`

### get

public Object get(AbstractStackFrame frame, Object name)
Gets a value.

Specified by:
  `get` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
Returns:
  the value
See Also:
  - `HasFields.get(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### unset

public void unset(AbstractStackFrame frame, Object name)
Unsets a value to the object.

Specified by:
  `unset` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
See Also:
  - `HasFields.unset(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### asMap

public Map<Object,Object> asMap()
Returns the map of the fields.

Returns:
  the map of the fields